Saved reports the caller may open: their own, their roles' and sites', and the organisation's.
curl --request POST \
--url https://app.assetinfinity.ai/api/report_definitions \
--header 'Content-Type: application/json' \
--data '
{
"author_name": "<string>",
"category": "<string>",
"chart_type": "<string>",
"code": "<string>",
"columns": "<string>",
"created_at": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"filter_expression": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"is_organization_wide": true,
"last_run_at": "<string>",
"mine": true,
"name": "<string>",
"order_by": "<string>",
"pivot_column": "<string>",
"pivot_limit": 123,
"pivot_measures": "<string>",
"pivot_rows": "<string>",
"row_limit": 123,
"run_count": 123,
"schedules": 123,
"shared_role_ids": [
"<string>"
],
"shared_site_ids": [
"<string>"
],
"shared_with": [
"<string>"
],
"shared_with_me": true,
"show_subtotals": true,
"show_totals": true,
"source_view": "<string>",
"status": "<string>",
"updated_at": "<string>",
"visibility": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/report_definitions"
payload = {
"author_name": "<string>",
"category": "<string>",
"chart_type": "<string>",
"code": "<string>",
"columns": "<string>",
"created_at": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"filter_expression": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"is_organization_wide": True,
"last_run_at": "<string>",
"mine": True,
"name": "<string>",
"order_by": "<string>",
"pivot_column": "<string>",
"pivot_limit": 123,
"pivot_measures": "<string>",
"pivot_rows": "<string>",
"row_limit": 123,
"run_count": 123,
"schedules": 123,
"shared_role_ids": ["<string>"],
"shared_site_ids": ["<string>"],
"shared_with": ["<string>"],
"shared_with_me": True,
"show_subtotals": True,
"show_totals": True,
"source_view": "<string>",
"status": "<string>",
"updated_at": "<string>",
"visibility": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
author_name: '<string>',
category: '<string>',
chart_type: '<string>',
code: '<string>',
columns: '<string>',
created_at: '<string>',
created_by: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
filter_expression: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
is_organization_wide: true,
last_run_at: '<string>',
mine: true,
name: '<string>',
order_by: '<string>',
pivot_column: '<string>',
pivot_limit: 123,
pivot_measures: '<string>',
pivot_rows: '<string>',
row_limit: 123,
run_count: 123,
schedules: 123,
shared_role_ids: ['<string>'],
shared_site_ids: ['<string>'],
shared_with: ['<string>'],
shared_with_me: true,
show_subtotals: true,
show_totals: true,
source_view: '<string>',
status: '<string>',
updated_at: '<string>',
visibility: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/report_definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reports
Saved reports the caller may open: their own, their roles' and sites', and the organisation's.
Which audience a report has is about whose register it is in, never about what it may show.
POST
/
report_definitions
Saved reports the caller may open: their own, their roles' and sites', and the organisation's.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
report_definitions
Saved reports the caller may open: their own, their roles' and sites', and the organisation's. Which audience a report has is about whose register it is in, never about what it may show.
Maximum string length:
200Maximum string length:
60Maximum string length:
10Maximum string length:
60Note:
This is a Foreign Key to capex_invite_candidates.id.
Note: This is a Primary Key.
Maximum string length:
150Maximum string length:
200Maximum string length:
80Maximum string length:
20Maximum string length:
20Response
201
Created
⌘I

